"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.command = "info";
exports.desc = "Contract, chain and rpc information utilities";
exports.builder = (y) => {
    // Imports modules logic from root commands, more info here -> https://github.com/yargs/yargs/blob/main/docs/advanced.md#providing-a-command-module
    return y
        .command(require('./chainId'))
        .command(require('./rpc'))
        .command(require('./contractAddress'));
};
