"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logCreatedObjects = exports.logPublishedPackageId = exports.logTransactionSender = exports.logTransactionDigest = void 0;
const sui_js_1 = require("@mysten/sui.js");
const utils_1 = require("./utils");
const logTransactionDigest = (res, ...args) => {
    console.log("Transaction digest", (0, sui_js_1.getTransactionDigest)(res), ...args);
};
exports.logTransactionDigest = logTransactionDigest;
const logTransactionSender = (res) => {
    console.log("Transaction sender", (0, sui_js_1.getTransactionSender)(res));
};
exports.logTransactionSender = logTransactionSender;
const logPublishedPackageId = (res) => {
    console.log("Published to", (0, utils_1.getPublishedPackageId)(res));
};
exports.logPublishedPackageId = logPublishedPackageId;
const logCreatedObjects = (res) => {
    console.log("Created objects", JSON.stringify((0, utils_1.getCreatedObjects)(res), null, 2));
};
exports.logCreatedObjects = logCreatedObjects;
