"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runCommand = exports.validator_args = void 0;
const child_process_1 = require("child_process");
exports.validator_args = {
    alias: "a",
    type: "string",
    array: true,
    default: [],
    describe: "Additional args to validator",
};
function runCommand(baseCmd, args) {
    const args_string = args.map(a => `"${a}"`).join(" ");
    const cmd = `${baseCmd} ${args_string}`;
    console.log("\x1b[33m%s\x1b[0m", cmd);
    (0, child_process_1.spawnSync)(cmd, { shell: true, stdio: "inherit" });
}
exports.runCommand = runCommand;
